Package javax.servlet.jsp.el

## Class ELException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.jsp.el.ELException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `ELParseException`

    public class ELException
    extends java.lang.Exception

Deprecated.
As of JSP 2.1, replaced by javax.el.ELException
Represents any of the exception conditions that arise during the operation evaluation of the evaluator.

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ELException()` Deprecated. Creates an ELException with no detail message.
`ELException​(java.lang.String pMessage)` Deprecated. Creates an ELException with the provided detail message.
`ELException​(java.lang.String pMessage, java.lang.Throwable pRootCause)` Deprecated. Creates an ELException with the given detail message and root cause.
`ELException​(java.lang.Throwable pRootCause)` Deprecated. Creates an ELException with the given root cause.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.Throwable` `getRootCause()` Deprecated. Returns the root cause.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### ELException

    public ELException()

Deprecated.
Creates an ELException with no detail message.

#### ELException

    public ELException​(java.lang.String pMessage)

Deprecated.
Creates an ELException with the provided detail message.

Parameters:
  `pMessage` - the detail message

#### ELException

    public ELException​(java.lang.Throwable pRootCause)

Deprecated.
Creates an ELException with the given root cause.

Parameters:
  `pRootCause` - the originating cause of this exception

#### ELException

    public ELException​(java.lang.String pMessage,
                       java.lang.Throwable pRootCause)

Deprecated.
Creates an ELException with the given detail message and root cause.

Parameters:
  `pMessage` - the detail message
  `pRootCause` - the originating cause of this exception

### Method Detail

#### getRootCause

    public java.lang.Throwable getRootCause()

Deprecated.
Returns the root cause.

Returns:
  the root cause of this exception